package com.house365.beans.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.house365.beans.system.DomainObject;

import java.util.Date;

/**
 * 客户提醒表
 *
 * @author Created by Administrator on 2019/5/24.
 */
public class CustomerRemindEntity extends DomainObject {

    private static final long serialVersionUID = 1L;

    private int customerId;
    private String customerName;
    private String cityCode;
    private int createUserId;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date returnRemindTime;
    private int isDelete;

    public int getCustomerId() {
        return customerId;
    }

    public void setCustomerId(int customerId) {
        this.customerId = customerId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public int getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(int createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getReturnRemindTime() {
        return returnRemindTime;
    }

    public void setReturnRemindTime(Date returnRemindTime) {
        this.returnRemindTime = returnRemindTime;
    }

    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }
}
